View Issue Details

IDProjectCategoryView StatusLast Update
11862Feature requests[All Projects] Survey takingpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11862: 2 real step clearall
Description

Actually clearall is 2 click : OK why not.
But i really think it's better if we have a real 2 step behaviour:

  • Click on clearall
  • Show a confirmation box with : "Confirm" and "Cancel" : cancel is a return to survey link
Additional Information

We can use form.pstpl here.
Add a checkbox for real confirmation with required ?

PS : i add language Yes, No to do a better confirm box, but think 2step action is always bette.

Tagsanswers_html

Activities

DenisChenu

DenisChenu

2016-11-03 18:30

developer   ~41705

@olle , @LouisGac , @c_schmitz ?
It's really my opinion here.

I'm not sure what is the desired behaviour.

LouisGac

LouisGac

2016-11-04 11:52

manager   ~41716

I think you're right.

DenisChenu

DenisChenu

2016-11-28 10:01

developer   ~42247

Just to confirm : Carsten is OK too ? You discuss about it ?

Because i'm the only one to vote.

ollehar

ollehar

2016-11-29 14:57

administrator   ~42254

Think it should be Bootstrap modal instead of JS confirm(), but don't see a need for two-page confirm.

Mazi

Mazi

2016-11-30 16:49

partner   ~42300

I prefer a nicer popup/modal with maybe a big WARNING message on top.

DenisChenu

DenisChenu

2016-12-02 14:59

developer   ~42316

Oups ....

OK i have the javascript way :

  • core : use confirm BUT confirmSurveyDialog(text,title,submits) : limesurvey package use confirm and send submit after
  • default update thius function to show another dioalog box.

I just need another fix for no js currently, better fix.

DenisChenu

DenisChenu

2016-12-02 17:59

developer   ~42320

Added confirmSurveyDialog javascript function and use a bs confirm dialog in default template

Related Changesets

LimeSurvey: develop 3af89f9a

2016-12-02 17:52:17

DenisChenu

Details Diff
New feature : default template use a boostrap dialog for clearall
Dev: 2 step without js is done too
Dev: core use confirm, related to feature 11970
Affected Issues
11862
mod - application/controllers/survey/index.php Diff File
mod - application/core/packages/limesurvey/survey.js Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
add - application/views/survey/frontpage/clearallForm/form.php Diff File
add - application/views/survey/frontpage/clearallForm/heading.php Diff File
add - application/views/survey/frontpage/clearallForm/message.php Diff File
mod - application/views/survey/system/actionButton/clearAll.php Diff File
mod - application/views/survey/system/actionLink/clearAll.php Diff File
mod - application/views/survey/system/surveyIndex/groupIndexMenuLink.php Diff File
mod - application/views/survey/system/surveyIndex/questionIndexMenuLink.php Diff File
mod - templates/default/css/template.css Diff File
mod - templates/default/scripts/template.js Diff File
mod - templates/default/views/endpage.pstpl Diff File
mod - templates/default/views/navigator.pstpl Diff File
mod - templates/default/views/survey.pstpl Diff File
mod - templates/default/views/welcome.pstpl Diff File

Issue History

Date Modified Username Field Change
2016-11-03 18:29 DenisChenu New Issue
2016-11-03 18:30 DenisChenu Tag Attached: answers_html
2016-11-03 18:30 DenisChenu Note Added: 41705
2016-11-04 11:52 LouisGac Note Added: 41716
2016-11-28 10:00 DenisChenu Assigned To => DenisChenu
2016-11-28 10:00 DenisChenu Status new => assigned
2016-11-28 10:01 DenisChenu Assigned To DenisChenu => LouisGac
2016-11-28 10:01 DenisChenu Status assigned => feedback
2016-11-28 10:01 DenisChenu Note Added: 42247
2016-11-29 08:01 DenisChenu Assigned To LouisGac => DenisChenu
2016-11-29 14:57 ollehar Note Added: 42254
2016-11-30 16:49 Mazi Note Added: 42300
2016-12-02 14:55 DenisChenu Assigned To DenisChenu =>
2016-12-02 14:55 DenisChenu Assigned To => DenisChenu
2016-12-02 14:55 DenisChenu Status feedback => assigned
2016-12-02 14:59 DenisChenu Note Added: 42316
2016-12-02 17:58 DenisChenu Changeset attached => LimeSurvey develop 3af89f9a
2016-12-02 17:59 DenisChenu Note Added: 42320
2016-12-02 17:59 DenisChenu Status assigned => resolved
2016-12-02 17:59 DenisChenu Resolution open => fixed
2016-12-02 17:59 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed